## org.eclipse.jet.transform
Interface IJETBundleDescriptor

    public interface IJETBundleDescriptor

Provide descriptive information about a JET Project/transform/bundle.

Method Summary
`java.net.URL` `getBaseURL()` Return the base URL of from which all bundle content may be accessed.
`java.lang.String` `getDescription()` Return a description of the bundle.
`java.lang.String` `getId()` Return the unique identifier of the bundle.
`java.lang.String` `getMainTemplate()` Return a bundle relative path to the main template for the bundle.
`java.lang.String` `getModelExtension()` Return the model extension that the bundle expects its input to conform to.
`java.lang.String` `getModelLoaderId()` Return the id of the model loader the bundle expects to use.
`java.net.URL` `getModelSchema()` Return the URL of model schema defined by the transform.
`java.lang.String` `getName()` Return the bundle's descriptive name.
`java.lang.String` `getOverridesId()` Return the id of a JET bundle that this bundle overrides.
`java.lang.String` `getProvider()` Return the name of the entity that created the bundle.
`TagLibraryReference[]` `getTagLibraryReferences()` Return an array containing the tag libraries imported by the bundle.
`java.lang.String` `getTemplateLoaderClass()` Return the template loader class for the bundle.
`java.lang.String` `getVersion()` Return the bundle version string.
`boolean` `isEnableEmbeddedExpressions()` Tests whether embedded language expressions are allowed in the transforms templates.
`boolean` `isPrivate()` Tests whether the transform is declared to be private.

Method Detail

### getId

    java.lang.String getId()

  Return the unique identifier of the bundle.

  Returns:
    the bundle's unique identifier

### getName

    java.lang.String getName()

  Return the bundle's descriptive name.

  Returns:
    the bundle's descriptive name

### getDescription

    java.lang.String getDescription()

  Return a description of the bundle.

  Returns:
    a string

### getModelLoaderId

    java.lang.String getModelLoaderId()

  Return the id of the model loader the bundle expects to use.

  Returns:
    a string or `null` if the bundle does not specify a model loader.

### getModelExtension

    java.lang.String getModelExtension()

  Return the model extension that the bundle expects its input to conform to.

  Returns:
    a string or `null` if the bundle does not specific a model extension.

### getOverridesId

    java.lang.String getOverridesId()

  Return the id of a JET bundle that this bundle overrides.

  Returns:
    a string or `null` if the bundle does not override another bundle.

### getVersion

    java.lang.String getVersion()

  Return the bundle version string.

  Returns:
    a string, typically of the form n.n.n.string.

### getProvider

    java.lang.String getProvider()

  Return the name of the entity that created the bundle.

  Returns:
    a string

### getTagLibraryReferences

    TagLibraryReference[] getTagLibraryReferences()

  Return an array containing the tag libraries imported by the bundle.

  Returns:
    an array references, or the empty array.

### getTemplateLoaderClass

    java.lang.String getTemplateLoaderClass()

  Return the template loader class for the bundle.

  Returns:
    a fully qualified Java class name, or `null` if not specified.

### getMainTemplate

    java.lang.String getMainTemplate()

  Return a bundle relative path to the main template for the bundle.

  Returns:
    a bundle relative path to a template, or `null` if not specified.

### getBaseURL

    java.net.URL getBaseURL()

  Return the base URL of from which all bundle content may be accessed.

  Returns:
    a URL

### isPrivate

    boolean isPrivate()

  Tests whether the transform is declared to be private. Private transforms are not shown in JET UIs, or returned from JET APIs that return lists of available transforms.

  Returns:
    `true` for private, `false` otherwise.

### getModelSchema

    java.net.URL getModelSchema()
                                throws java.net.MalformedURLException

  Return the URL of model schema defined by the transform.

  Returns:
    the URL for the model schema, or `null` if no schema is provided
  Throws:
    `java.net.MalformedURLException` - if the model schema URL is malformed.

### isEnableEmbeddedExpressions

    boolean isEnableEmbeddedExpressions()

  Tests whether embedded language expressions are allowed in the transforms templates.

  Returns:

Copyright 2006 IBM Corporation and others. All Rights Reserved.